/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
/* 

 Global Data
 
 Here are all global data... 
 
*/

#ifndef GLOBAL_H
#define GLOBAL_H

#include "SDL.h"

#define FALSE 0 
#define TRUE 1

#define MAX_PLAYER 5
#define SCR_X 800             		// unit: pixel
#define SCR_Y 600 
#define SCR_D 16
#define MAP_X 100        			// unit: tiles 
#define MAP_Y 100 
#define MAP_STARTPOINT_X 0      	// Map Window Area
#define MAP_STARTPOINT_Y 80    		// -> the pixel area on the screen where the map is displayes
#define MAP_ENDPOINT_X 760
#define MAP_ENDPOINT_Y 600
#define TILE_X 40           		// pixel
#define TILE_Y 40
#define MAP_WEI SCR_X / TILE_X 		// width of the map in tiles
#define MAP_HEI SCR_Y / TILE_Y 

#define TITLE "Defend The Kingdom ! v0.1 by ..:dubspeed:.."
#define ICON  NULL              	// const char *

#define GAMESPEED 3000				// 3 sec per month

#define JAN "hartung"				// old german month names
#define FEB "homung"
#define MRZ "lenzing"
#define APR "ostermond"
#define MAI "wonnemond"
#define JUN "brachmond"
#define JUL "heumond"
#define AUG "ernting"
#define SEP "scheiding"
#define OKT "gilbhard"
#define NOV "nebelung"
#define DEZ "julmond"

// Event Types
#define EVENT_NEW_MONTH 1			// event-code for the event "new month"
#define EVENT_TREES_GROW 2			// event-code for the event "trees grow"

// Game control
#define FULLSCREEN 0				// enable fullscreen (1) or window(0)
#define GLOBAL_TREEGROWTHRATE 4		// grow all 4 month

// Global data structures
struct TGlobal {
	Uint16 jahr;
	Uint8 monat;
	char datum[20];
	unsigned char tree_counter;
} global;

// The Screen 
SDL_Surface *scr;  

// Random Numbers
unsigned char random[65536];
unsigned int  random_c;


#endif
