/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 

#ifndef MAP_H
#define MAP_H

#include "SDL.h"
#include "SDL_image.h"
#include "global.h"
#include "video.h"
#include <stdio.h>

#define MAP_DESCR_FILE "../data/map.descr"
#define MAP_MAXTILES 100


enum MAP_TYPE {
	MT_GRAS_1 = 1,				// all gras types
	MT_GRAS_2,
	MT_GRAS_3,
	MT_GRAS_4,
	MT_TREE_1,					// all tree types
    MT_TREE_2,
    MT_TREE_3,
	MT_HUNTER,
	MT_LUMBERJACK,				// all buildings
	MT_HOUSE_01,
	MT_WAY_00, 					// all 16 possible way combinations
	MT_WAY_01,
	MT_WAY_02,
	MT_WAY_03,
	MT_WAY_04,
	MT_WAY_05,
	MT_WAY_06,
	MT_WAY_07,
	MT_WAY_08,
	MT_WAY_09,
	MT_WAY_10,
	MT_WAY_11,
	MT_WAY_12,
	MT_WAY_13,
	MT_WAY_14,
	MT_WAY_15,

};

struct TTile {
	int type;					// Typ: see MapType
	char isbuild;       		// 0 = ground type 1 = building type
	SDL_Surface *img;  
	int index;					// index
	int anim_group;				// animation group: groups corresponding tiles for animations
} tiles[MAP_MAXTILES];

struct TMap {	
	Uint8 mapx, mapy;			// position in tiles
//	char visible;
//	char animated;

	Uint8 grnd_nr;				// ground typ: index
	SDL_Surface *grnd_img;   	// pointer to the ground gfx
	struct TTile *grnd_tile; 	// pointer to ground tile

	Uint8 build_nr;				// building type index
	SDL_Surface *build_img;  	// pointer to building image
	struct TTile *build_tile;	// pointer to building tile
} map[MAP_X * MAP_Y];

// Position of the map 
// basis for show_map

unsigned int MAP_posx, MAP_posy;
char MAP_RightMouse;			// Status of the right mouse buttons

#endif
