/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 


#ifndef MENU_H
#define MENU_H

#include "SDL.h"
#include "SDL_image.h"

#include "global.h"
#include "map.h"
#include "video.h"

#define MOVE_ON_MOUSE 1				// enable(1) / disable(0) Move-on-Mouse
#define PAINT_ON_MOUSE 1			// same
#define MENU_DESCR_FILE		"../data/menu.descr"

#define MENU_MENULEVEL 		3  		// Level of menues
#define MENU_MENUENTRIES	10		// max. 10 menu entries per level 

#define MENU_GFX_BACKGROUND	"gfx/back.png"
#define MENU_GFX_HIGHLIGHT 	"gfx/maped/maped_highlight.png"

SDL_Rect MENU_Area[10];				// the menu buttons 
SDL_Surface *back;     				// Pic: Background, frame  
SDL_Surface *frame;    				// frame around the tiles in menu
int frame_index;					// index nr of the frame pic
int txt_ln1;						// the header and menutext textline


enum MENU_LEVEL {
	MENU_LEVEL_AREA = 0,
	MENU_LEVEL_1,
	MENU_LEVEL_2,
	MENU_LEVEL_3
};

// Menustructure and memory
struct TMenu {
	int index;
	int level;						// Level
	int pos;						// Position
	int visible;					// visible TRUE / FALSE
	int x, y;						// Screen Position
	char *text;						// Text
	struct TTile *tile;				// gfx of the menuentry
	struct TTile *brush;			// brushtile
} menu[MENU_MENULEVEL * MENU_MENUENTRIES];  	

int MENU_Selected_Index;			// index of the selected menu

//int MAPED_Brush; obsolet
//int MAPED_Brush_Type;

int MAPED_LeftButtonPressed;	// left button pressed ?
int MAPED_RightButtonPressed;	// right one ? (1 = TRUE)
#endif
